package org.greenstone.gsdl3.gs3build.database;

import java.util.List;
import java.util.ArrayList;

public class GS3SQLWhereItem implements GS3SQLWhereElement
{ String field;
  String comparison;
  String value;
  String type;

  public GS3SQLWhereItem(String field, String comparison, String value, String type)
  { this.field      = field;
    this.comparison = comparison;
    this.value      = value;
    this.type       = type;
  }

  public GS3SQLWhereItem(String field, String comparison, String value)
  { this.field      = field;
    this.comparison = comparison;
    this.value      = value;
    this.type       = GS3SQLField.VARCHAR_TYPE;
  }

  public String toString()
  { StringBuffer reply = new StringBuffer();

    reply.append(this.field);
    if (!this.comparison.equals("=")) {
      reply.append(" ");
    }
    reply.append(this.comparison);
    if (!this.comparison.equals("=")) {
      reply.append(" ");
    }
    if (type.equals(GS3SQLField.VARCHAR_TYPE)) {
	reply.append("\"" + this.value + "\"");
    }
    else {
	reply.append(this.value);
    }
    return reply.toString();
  }
}


